/* ViewDelegator.h     UIView subclass to delegate touches and drawRect:
 *
 * Copyright (c) 2011 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 */

/* Protocol for the delegate.
 */
@protocol ViewDelegate
@optional
- (void) view: (UIView *) view
         touchesBegan: (NSSet *) touches
         withEvent: (UIEvent *) event;
- (void) view: (UIView *) view
         touchesCancelled: (NSSet *) touches
         withEvent: (UIEvent *) event;
- (void) view: (UIView *) view
         touchesEnded: (NSSet *) touches
         withEvent: (UIEvent *) event;
- (void) view: (UIView *) view
         touchesMoved: (NSSet *) touches
         withEvent: (UIEvent *) event;
- (void) view: (UIView *) view drawRect: (CGRect) rect;
@end

/* Interface for the delegator.
 */
@interface ViewDelegator : UIView
{
    NSObject<ViewDelegate> *delegate;
}
@property(nonatomic, assign) IBOutlet NSObject<ViewDelegate> *delegate;
@end
